/*
COLOR PALETTE

Off-white       #F6F6F6
Outer space     #484A47
Honolulu Blue   #057DCD
Pumpkin         #FF6700
*/

/* final
------------------------------------*/
/* 
  https://www.paulirish.com/2012/box-sizing-border-box-ftw/
*/
html {
    box-sizing: border-box;
    font-size: 80%; /* set default to 10px */
}
*, *:before, *:after {
    box-sizing: inherit;
}

html, body {
    /* height: 100%; */
    height: fit-content;
}
body {
    background: #252525; 
    margin: 0;
    color: #b6b4b4;
    font-family: "Rubik", "roboto", 'Open Sans', sans-serif;
    font-size: 1.6rem;
    line-height: 1.4;
    /* font-weight: 400; */
    
}

.title-card {
    background: #ffffff;
    height: 300px;

}

h1, h2, h3 {
    font-family: "Rubik", cursive;
    font-weight: 700;
    margin: 0;
    color: #d4d4d4;
}
.name::first-letter {
    color: #057DCD
}
h1 {
    font-size: 7rem;
    line-height: 0.85;
    margin-left: -4px;
}

h2 {
    font-size: 3.6rem;
}
h3 {
    font-size: 2.4rem;
}

/* links */
a {
    color: #057DCD;
}

footer a {
    color: #bcaa96;
}
footer a:hover {
    color: #057DCD;
}
.btn {
    background: #057DCD;
    color: #f6f6f6;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 1.2rem;
    display: inline-block;
    padding: 7px;
    letter-spacing: 0.1em;
    line-height: 1;
    border-radius: 4px;
}

.btn-project {
    color: #b6b4b4;
    display: inline-block;
    text-decoration: none;
    border-radius: 4px;
}
.project-wrapper a:hover {
    color: #d8d8d8;
    text-decoration: none;
    transform: scale(1.02);
}
.content-wrapper {
    /* background: #252525; */
    margin: 0 auto;
    padding: 30px;
    max-width: 1400px;
    position: relative;
    z-index: 2;
}

.first-word {
  color: #057DCD;
}
.center {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    /* width: 50%; */
  }


.row {
    margin-top: 50px;
    margin-bottom: 50px;
    display: flex;
    justify-content: space-between;
}

.row-icon {
    margin-top: 20px;
    margin-bottom: 10px;
    padding-right:100px;
    display: flex;
    justify-content: left;
}

.column {
    flex: 33.33%;
    padding: 5px;
}
/* NAV BAR */
/* Style the navbar */
#navbar {
    position: sticky;
    top: 0;
    display: flex;           /* Use flexbox */
    align-items: center;     /* Vertically center items */
    justify-content: space-between; /* Space between left and right */
    background-color: #333;
    z-index: 10;
    margin-bottom: 100px;
    padding: 0 20px;         /* Add some horizontal padding */
}

.nav-left {
    display: flex;
    gap: 10px;               /* Space between buttons */
}

.nav-right {
    color: white;
    font-size: 16px;
}

/* Navbar links */
#navbar a {
    float: left;
    display: block;
    font-size: 16px;
    color: #f2f2f2;
    text-align: center;
    padding: 16px;
    text-decoration: none;
}
#navbar a:hover{
    background: #444;
}

.dropbtn {
    background-color: #333;
    color: #f2f2f2;
    padding: 16px;
    font-size: 16px;
    border: none;
}

.dropdown {
    position: relative;
    display: inline-block;

}

.dropdown-content {
    display: none;
    position: absolute;
    top: 100%;      /* Position below the button */
    left: 0;        /* Align left edge */
    color: #f2f2f2;
    background-color: #444;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    text-align: left;
}

#navbar .dropdown-content a {
    color: white;
    text-decoration: none;
    display: block;
    text-align: left;
    width: 100%;
}


#navbar .dropdown-content a:hover {background-color: #555;}

.dropdown:hover .dropdown-content {display: block;}

.dropdown:hover .dropbtn {background-color: #444;}

/* HOME
------------------------------------*/
.home {
    background: url(../images/bg-home-office-studio.jpg) no-repeat;
    background-size: cover;
    display: sticky;
    flex-direction: column;
}
.home .content-wrapper {
    flex: 1 0 auto;
}
.content-bg {
    background: rgb(255 255 255 / 0.9);
    padding: 30px;
}
@media screen and (max-width:650px){
    .home .content-wrapper {
        padding: 10px;
    }
    .content-bg {
        padding: 20px;
    }
}

/* CaveX */
.cavex-page{
    background: #252525;
    background-size: cover;
    display: flex;
    flex-direction: column;
}

/* .cavex-page header::before{
    background-size: cover;
    content: "";
    display: block; 
    min-height: 100px;
    background: white;
} */

.cavex-page .content-wrapper {
    margin: 0 auto;
    padding: 30px 50px;
    max-width: 1400px;
    flex: 1 0 auto;
}



.content-section{
    margin: 75px 0px;
}

.highlight-box{
    background: #202020;
    margin: -30px -50px;
    padding: 50px;
    max-width: 1550px;
    border-radius: 16px;
    box-shadow: 0px 3px 11px 0px rgba(0, 0, 0, 0.8); 
}

/* RESUME
------------------------------------*/
.resume .banner{
    position:fixed;
    width: 100%;
    height:500px;
    z-index: 1;
    background: url(../images/mountain1.jpg);
    background-size: cover;
    margin-top:-100px;
}
/* .resume header::before {
    position:fixed;
    width: 100%;
    z-index: 1;
    background: url(../images/mountain1.jpg);
    background-size: cover;
    content: "hello";
    display: block; 
    height: 500px;
    background: "white";
    margin-bottom: -300px;
    margin: -200px 0 0;
    
} */
.resume .presection {
    position: relative;
    background:#252525;
    height:300px;
    margin-top:-490px;
    z-index: 1;
}
.resume header {
    background: #252525;
    height: 800px;
    margin-top: 200px;
}

.resume header .content-wrapper {
    margin: 0 auto;
    padding: 30px;
    max-width: 1550px;
    border-radius: 16px;
    box-shadow: 0px 2px 11px 0px rgba(0, 0, 0, 0.8); 
}

.resume header .flex-container {
    /* We first create a flex layout context */
    background: #202020; 
    display: flex;
    height: 600px;
    position: relative;
    z-index: 2;
    
    /* Then we define the flow direction 
       and if we allow the items to wrap 
     * Remember this is the same as:
     * flex-direction: row;
     * flex-wrap: wrap;
     */
    flex-flow: row wrap;
    
    /* Then we define how is distributed the remaining space */
    justify-content: space-around;
    align-items: center;
    
    /* padding: 0;
    /* margin: 0; */
    list-style: none;
    
}

header .flex-item {
    display: flex;
    flex-direction:column;
    background: #202020; ;
    padding: auto;
    width: 700px;
    height: 500px;
    margin-left: 0px;
    /* margin-top: 10px; */
    /* margin: auto; */
    /* flex:0 1 auto; */
    /* box-sizing: border-box; */
    /* line-height: 150px;
    color: white;
    font-weight: bold;
    font-size: 3em; */
    justify-content: center;
    /* text-align: center; */
    /* align-items: center; */
    /* vertical-align: middle; */
    
}



/* .flex-item {
    background: tomato;
    padding: 5px;
    width: 600px;
    height: 500px;
    flex:1 1 auto;
    box-sizing: border-box;
    margin-top: 10px;
    line-height: 150px;
    color: white;
    font-weight: bold;
    font-size: 3em;
    text-align: center;
    align-items: center;
} */

header .flex-image{
    background: url(../images/linkedIn-photo.jpg);
    background-size:cover;
    padding: 5px;
    width: 700px;
    height: 500px;
    margin-top: 10px;
    line-height: 150px;
    flex:0 1 auto;
    box-sizing:border-box;
    border-radius: 8px;
}



.resume-section {
    margin-top: 100px;
    margin-bottom: 100px;
}

.slideshow-section {
    margin-top: 50px;
    margin-bottom: 100px;
}
#education-skills{
    background: #252525;
    padding: 10px;
    justify-content: space-around;
    /* align-items: center; */
    position: relative;
    z-index: 2;
}
#work-experience {
    background: #202020;
    padding: 10px;
    justify-content: space-around;
    /* align-items: center; */
    position: relative;
    z-index: 2;
}

.work-experience{
    background: #202020;
    padding: 50px;
    justify-content: space-around;
    /* align-items: center; */
    position: relative;
    z-index: 2;
    
}

#project-banner {
    background: #252525;
    padding: 10px;
    justify-content: space-around;
    /* align-items: center; */
    position: relative;
    z-index: 1;
}

#certificates{
    background: #252525;
    padding: 10px;
    justify-content: space-around;
    /* align-items: center; */
    position: relative;
    z-index: 2;
}

.resume-section h2 {
    /* border-bottom: 2px groove #d3d4d6; */
    text-align: center;
    padding-bottom: 20px;
}
.slideshow-section h2 {
    /* border-bottom: 2px groove #d3d4d6; */
    text-align: center;
    padding-bottom: 20px;
}
.download-link {
    position: fixed;
    top: 5px;
    left: 5px;
    font-size: 1.5rem;
}
@media screen and (max-width: 1200px){
    .download-link {
        position: absolute;
    }
}
@media screen and (max-width: 500px){
    .resume header::before {
        height: 200px;
    }
    h1 {
        font-size: 5rem;
    }
    h2 {
        font-size: 2.6rem;
    }
}


/* Projects
------------------------------------*/
.project-item {
    margin: 30px 0;
}
.project-item img {
    width: 300px;
}
@media screen and (min-width:860px) {
    .project-item {
        display: flow-root;
    }
    .project-item img {
        float: left;
        margin-right: 20px;
    }
}
@media screen and (min-width:650px) and (max-width:859px) {
    .project-wrapper {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 20px;
    }
    .project-item img {
        width: 100%;
    }
}
@media screen and (max-width:500px){
    .project-item img {
        width: 100%;
        margin-bottom: 10px;
    }
}



/* Work Experience
------------------------------------*/
.work-item {
    margin: 30px 0;
}
.work-details p {
    margin: 0;
}

@media screen and (min-width: 860px) {
    .work-item {
        display: grid;
        grid-template-columns: 300px 1fr;
        column-gap: 20px;
    }
    .work-summary p:first-child {
        margin-top: 0;
    }
}


/* Education
------------------------------------*/
.education-item {
    margin: 30px 0;
}
.education-item p {
    margin: 0;
}
.edu-item {
    flex-basis: 0;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 4em;
} 
.edu-details p {
    margin: 0;
}
@media screen and (min-width: 860px) {
    .edu-item {
        display: grid;
        grid-template-columns: 300px 1fr;
        column-gap: 20px;
    }
    .edu-summary p:first-child {
        margin-top: 0;
    }
}

/* Make sure that padding behaves as expected */
* {box-sizing:border-box}

/* Container for skill bars */
.skill-box{
    margin-top: -20px;
}

.skill-container {
  width: 100%; /* Full width */
  background-color: #ddd; /* Grey background */
  border-radius: 10px;
}

.skills {
  text-align: right; /* Right-align text */
  padding-right: 10px;
  padding-top: 0px; /* Add top padding */
  padding-bottom: 0px; /* Add bottom padding */
  color: white; /* White text color */
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}

.html {width: 60%; background-color: #1ea5ff;}
.cpp {width: 90%; background-color: #057DCD;}
.java {width: 40%; background-color: #74c8ff;}
.python {width: 90%; background-color: #057DCD;}



/* FOOTER
------------------------------------*/
footer {
    background: #222;
    color: #d3d4d6;
}
.socials {
    list-style-type: none;
    padding: 0;
}
.socials li {
    display: inline-block;
    margin-left: 10px;
}
.socials img {
    width: 32px;
}
.socials img:hover {
    opacity: 0.5;
}

@media screen and (min-width: 860px){
    footer {
        display: flex;
        justify-content: space-between;
        padding: 0 20px;
    }
}
@media screen and (max-width: 859px){
    footer {
        text-align: center;
        padding: 10px;
    }

}

/*
PURE RESPONSIVE CSS3 SLIDESHOW GALLERY by Roko C. buljan
http://stackoverflow.com/a/34696029/383904
*/

.CSSgal {
    position: relative;
    display: block;
    overflow: hidden;
    height: 50%; /* Or set a fixed height */
  }
  
  /* SLIDER */
  
  .CSSgal .slider {
    height: 50%;
    white-space: nowrap;
    font-size: 0;
    transition: 0.8s;
  }
  
  /* SLIDES */
  
  .CSSgal .slider > * {
    font-size: 1rem;
    display: inline-block;
    white-space: normal;
    vertical-align: top;
    height: 100%;
    width: 100%;
    background: none 50% no-repeat;
    background-size: cover;
  }
  
  /* PREV/NEXT, CONTAINERS & ANCHORS */
  
  .CSSgal .prevNext {
    position: absolute;
    z-index: 1;
    top: 50%;
    width: 100%;
    height: 0;
  }
  
  .CSSgal .prevNext > div+div {
    visibility: hidden; /* Hide all but first P/N container */
  }
  
  .CSSgal .prevNext a {
    background: #fff;
    position: absolute;
    width:       60px;
    height:      60px;
    line-height: 60px; /* If you want to place numbers */
    text-align: center;
    opacity: 0.7;
    -webkit-transition: 0.3s;
            transition: 0.3s;
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
    left: 0;
  }
  .CSSgal .prevNext a:hover {
    opacity: 1;
  }
  .CSSgal .prevNext a+a {
    left: auto;
    right: 0;
  }
  
  /* NAVIGATION */
  
  .CSSgal .bullets {
    position: absolute;
    z-index: 2;
    bottom: 0;
    padding: 10px 0;
    width: 100%;
    text-align: center;
  }
  .CSSgal .bullets > a {
    display: inline-block;
    width:       30px;
    height:      30px;
    line-height: 30px;
    text-decoration: none;
    text-align: center;
    background: rgba(255, 255, 255, 1);
    -webkit-transition: 0.3s;
            transition: 0.3s;
  }
  .CSSgal .bullets > a+a {
    background: rgba(255, 255, 255, 0.5); /* Dim all but first */
  }
  .CSSgal .bullets > a:hover {
    background: rgba(255, 255, 255, 0.7) !important;
  }
  
  /* NAVIGATION BUTTONS */
  /* ALL: */
  .CSSgal >s:target ~ .bullets >* {      background: rgba(255, 255, 255, 0.5);}
  /* ACTIVE */
  #s1:target ~ .bullets >*:nth-child(1) {background: rgba(255, 255, 255,   1);}
  #s2:target ~ .bullets >*:nth-child(2) {background: rgba(255, 255, 255,   1);}
  #s3:target ~ .bullets >*:nth-child(3) {background: rgba(255, 255, 255,   1);}
  #s4:target ~ .bullets >*:nth-child(4) {background: rgba(255, 255, 255,   1);}
  /* More slides? Add here more rules */
  
  /* PREV/NEXT CONTAINERS VISIBILITY */
  /* ALL: */
  .CSSgal >s:target ~ .prevNext >* {      visibility: hidden;}
  /* ACTIVE: */
  #s1:target ~ .prevNext >*:nth-child(1) {visibility: visible;}
  #s2:target ~ .prevNext >*:nth-child(2) {visibility: visible;}
  #s3:target ~ .prevNext >*:nth-child(3) {visibility: visible;}
  #s4:target ~ .prevNext >*:nth-child(4) {visibility: visible;}
  /* More slides? Add here more rules */
  
  /* SLIDER ANIMATION POSITIONS */
  
  #s1:target ~ .slider {transform: translateX(   0%); -webkit-transform: translateX(   0%);}
  #s2:target ~ .slider {transform: translateX(-100%); -webkit-transform: translateX(-100%);}
  #s3:target ~ .slider {transform: translateX(-200%); -webkit-transform: translateX(-200%);}
  #s4:target ~ .slider {transform: translateX(-300%); -webkit-transform: translateX(-300%);}
  /* More slides? Add here more rules */
  
  
  /* YOU'RE THE DESIGNER! 
     ____________________
     All above was mainly to get it working :)
     CSSgal CUSTOM STYLES / OVERRIDES HERE: */
  
  .CSSgal{
    color: #fff;  
    text-align: center;
  }
  .CSSgal .slider h2 {
    margin-top: 40vh;
    font-weight: 200;
    letter-spacing: -0.06em;
    word-spacing: 0.2em;
    font-size: 3em;
  }
  .CSSgal a {
    border-radius: 50%;
    margin: 0 3px;
    color: rgba(0,0,0,0.8);
    text-decoration: none;
  }